FL-RUN-TEST(1)

NAME
fl-run-test - runs a funkload test file

SYNOPSIS
fl-run-test [ options ] file [ class.method | class | suite ]

DESCRIPTION
A FunkLoad test can be used like a standard unittest using a unittest.main() and a 'python MyFile.py'. Note that fl-run-test can be used to launch normal unittest.TestCase and (if you use python2.4) doctest in a plain text file or embedded in a python docstring. The --debug option makes doctests verbose.

OPTIONS

--version
    show program's version number and exit

--help, -h
    show this help message and exit

--quiet, -q
    Minimal output.

--verbose, -v
    Verbose output.

--debug, -d
    FunkLoad and doctest debug output.

--debug-level=DEBUG_LEVEL
    Debug level 3 is more verbose.

--url=MAIN_URL, -uMAIN_URL
    Base URL to bench without ending '/'.

--sleep-time-min=FTEST_SLEEP_TIME_MIN, -mFTEST_SLEEP_TIME_MIN
    Minumum sleep time between request.

--sleep-time-max=FTEST_SLEEP_TIME_MAX, -MFTEST_SLEEP_TIME_MAX
    Maximum sleep time between request.

--dump-directory=DUMP_DIR
    Directory to dump html pages.

--firefox-view, -V
    Real time view using firefox, you must have a running instance of firefox in the same host.

--no-color
    Monochrome output.

--loop-on-pages=LOOP_STEPS, -lLOOP_STEPS
    Loop as fast as possible without concurrency on pages expect a page number or a slice like 3:5. Output some statistics.

--loop-number=LOOP_NUMBER, -nLOOP_NUMBER
    Number of loop.

--accept-invalid-links
    Do not fail if css/image links are not reachable.

--simple-fetch
    Don't load additional links like css or images when fetching an html page.

--stop-on-fail
    Stop tests on first failure or error.

--regex=REGEX, -eREGEX
    The test names must match the regex.

--list
    Just list the test names.

--pause
    Pause between request, press ENTER to continue.

SEE ALSO
fl-build-report(1), fl-credential-ctl(1), fl-install-demo(1), fl-monitor-ctl(1), fl-record(1), fl-run-bench(1).

AUTHOR
Funkload was written by Benoit Delbosc.

This manual page was written by Jose Parrella <bureado@debian.org>, for the Debian project (but may be used by others).